// ========================================================
//  Copyright (c)2006 Freescale Semiconductor Inc
//  All Rights Reserved
//
//  The code is the property of Freescale GmbH Munich
//  TSPG-APD-IDC Intelligent Distributed Control Operation
//
//  The copyright notice above does not evidence any
//  actual or intended publication of such source code.
//
//  This software is provided by Freescale "AS IS" and any
//  expressed or implied warrenties, including, but not 
//  limited to, the implied warrenties of merchantability
//  and fitness for a particular purpose are disclaimed.
//  In no event shall Freescale or its contributors be 
//  liable for any direct, indirect, incidental, special,
//  examplary, or consequential damages (including, but not 
//  limited to, procurement of substitue goods or services;
//  loss of use, data, or profits; or business interruption)
//  However caused and on any theory of liability, whether 
//  in contract, strict liability, or tort (including 
//  negligence or otherwise) arising in any way out of the 
//  use of this software, even if advised of the possibility
//  of such damage.
// 
//
//
//  Filename:     $Source$
//  Author:       $Author$
//  Locker:       $Locker$
//  State:        $State$
//  Revision:     $Revision$
//
//  Functions:    
//
//  History:      Use the CVS command log to display 
//                revision history information.
//
//  Description:  
//
//
//
//  Notes:        
//
//
//
// ========================================================
#ifndef   FLASHER_H
#define   FLASHER_H

// --------------------------------------------------------
// hardware specific
#include "ChipSets.h"

// --------------------------------------------------------
// Return values of Heater Status (Bit Field)
// --------------------------------------------------------
#define FLASHEROFF         0x00
#define FLASHERLEFT        0x01
#define FLASHERRIGHT       0x02

#define FLASHERBRAKE       0x03

// --------------------------------------------------------
// Methodes publish
// --------------------------------------------------------
void FlasherInit(void);
void FlasherTurnL(void);
void FlasherTurnR(void);
void FlasherBrake(void);
void FlasherTurnOff(void);
unsigned char FlasherStatus(void);


#endif 

