#ifndef LINMSGID_H
#define LINMSGID_H
/******************************************************************************
*                                                       
*       Copyright (C) 2005 Freescale Semiconductor, Inc.
*       All Rights Reserved								              
*														                            
* Filename:     linmsgid.h                
*														                            
* Revision:      										                    
*														                            
* Functions:    Message Identifier and Length configuration for Freescale API
*														                            
* Description:  This is a template file for message id and length configuration.
*               It should be modified by the user.
*               
*               Define as LIN_SEND, LIN_SEND_UPDATED or LIN_RECEIVE only those
*               messages which are processed by the node. See pattern below.
*
*               Define the length for those messages which have non-standart
*               length. See pattern below.
*
*               The length of the message shall be in range from 1 to 8.
*
*               If the file name is changed the LINMSGIDH define should
*               be defined in the processor command line.
*														                            
******************************************************************************/

/*****************************************************************************
#define LIN_MSG_00  LIN_SEND
#define LIN_MSG_01  LIN_RECEIVE
#define LIN_MSG_02  LIN_SEND
#define LIN_MSG_03  LIN_RECEIVE
#define LIN_MSG_04  LIN_SEND
#define LIN_MSG_05  LIN_RECEIVE
#define LIN_MSG_06  LIN_SEND
#define LIN_MSG_07  LIN_RECEIVE
#define LIN_MSG_08  LIN_SEND
#define LIN_MSG_09  LIN_RECEIVE
#define LIN_MSG_0A  LIN_SEND
#define LIN_MSG_0B  LIN_RECEIVE
#define LIN_MSG_0C  LIN_SEND
#define LIN_MSG_0D  LIN_RECEIVE
#define LIN_MSG_0E  LIN_SEND
#define LIN_MSG_0F  LIN_RECEIVE
#define LIN_MSG_10  LIN_SEND
#define LIN_MSG_11  LIN_RECEIVE
#define LIN_MSG_12  LIN_SEND
#define LIN_MSG_13  LIN_RECEIVE
#define LIN_MSG_14  LIN_SEND
#define LIN_MSG_15  LIN_RECEIVE
#define LIN_MSG_16  LIN_SEND
#define LIN_MSG_17  LIN_RECEIVE
#define LIN_MSG_18  LIN_SEND
#define LIN_MSG_19  LIN_RECEIVE
#define LIN_MSG_1A  LIN_SEND
#define LIN_MSG_1B  LIN_RECEIVE
#define LIN_MSG_1C  LIN_SEND
#define LIN_MSG_1D  LIN_RECEIVE
#define LIN_MSG_1E  LIN_SEND
#define LIN_MSG_1F  LIN_RECEIVE
#define LIN_MSG_20  LIN_SEND
#define LIN_MSG_21  LIN_RECEIVE
#define LIN_MSG_22  LIN_SEND
#define LIN_MSG_23  LIN_RECEIVE
#define LIN_MSG_24  LIN_SEND
#define LIN_MSG_25  LIN_RECEIVE
#define LIN_MSG_26  LIN_SEND
#define LIN_MSG_27  LIN_RECEIVE
#define LIN_MSG_28  LIN_SEND
#define LIN_MSG_29  LIN_RECEIVE
#define LIN_MSG_2A  LIN_SEND
#define LIN_MSG_2B  LIN_RECEIVE
#define LIN_MSG_2C  LIN_SEND
#define LIN_MSG_2D  LIN_RECEIVE
#define LIN_MSG_2E  LIN_SEND
#define LIN_MSG_2F  LIN_RECEIVE
#define LIN_MSG_30  LIN_SEND
#define LIN_MSG_31  LIN_RECEIVE
#define LIN_MSG_32  LIN_SEND
#define LIN_MSG_33  LIN_RECEIVE
#define LIN_MSG_34  LIN_SEND
#define LIN_MSG_35  LIN_RECEIVE
#define LIN_MSG_36  LIN_SEND
#define LIN_MSG_37  LIN_RECEIVE
#define LIN_MSG_38  LIN_SEND
#define LIN_MSG_39  LIN_RECEIVE
#define LIN_MSG_3A  LIN_SEND
#define LIN_MSG_3B  LIN_RECEIVE
#define LIN_MSG_3C  LIN_SEND
#define LIN_MSG_3D  LIN_SEND_UPDATED

#define LIN_MSG_00_LEN  1
#define LIN_MSG_01_LEN  2
#define LIN_MSG_02_LEN  3
#define LIN_MSG_03_LEN  4
#define LIN_MSG_04_LEN  5
#define LIN_MSG_05_LEN  6
#define LIN_MSG_06_LEN  7
#define LIN_MSG_07_LEN  8
#define LIN_MSG_08_LEN  1
#define LIN_MSG_09_LEN  2
#define LIN_MSG_0A_LEN  3
#define LIN_MSG_0B_LEN  4
#define LIN_MSG_0C_LEN  5
#define LIN_MSG_0D_LEN  6
#define LIN_MSG_0E_LEN  7
#define LIN_MSG_0F_LEN  8
#define LIN_MSG_10_LEN  1
#define LIN_MSG_11_LEN  2
#define LIN_MSG_12_LEN  3
#define LIN_MSG_13_LEN  4
#define LIN_MSG_14_LEN  5
#define LIN_MSG_15_LEN  6
#define LIN_MSG_16_LEN  7
#define LIN_MSG_17_LEN  8
#define LIN_MSG_18_LEN  1
#define LIN_MSG_19_LEN  2
#define LIN_MSG_1A_LEN  3
#define LIN_MSG_1B_LEN  4
#define LIN_MSG_1C_LEN  5
#define LIN_MSG_1D_LEN  6
#define LIN_MSG_1E_LEN  7
#define LIN_MSG_1F_LEN  8
#define LIN_MSG_20_LEN  1
#define LIN_MSG_21_LEN  2
#define LIN_MSG_22_LEN  3
#define LIN_MSG_23_LEN  4
#define LIN_MSG_24_LEN  5
#define LIN_MSG_25_LEN  6
#define LIN_MSG_26_LEN  7
#define LIN_MSG_27_LEN  8
#define LIN_MSG_28_LEN  1
#define LIN_MSG_29_LEN  2
#define LIN_MSG_2A_LEN  3
#define LIN_MSG_2B_LEN  4
#define LIN_MSG_2C_LEN  5
#define LIN_MSG_2D_LEN  6
#define LIN_MSG_2E_LEN  7
#define LIN_MSG_2F_LEN  8
#define LIN_MSG_30_LEN  1
#define LIN_MSG_31_LEN  2
#define LIN_MSG_32_LEN  3
#define LIN_MSG_33_LEN  4
#define LIN_MSG_34_LEN  5
#define LIN_MSG_35_LEN  6
#define LIN_MSG_36_LEN  7
#define LIN_MSG_37_LEN  8
#define LIN_MSG_38_LEN  1
#define LIN_MSG_39_LEN  2
#define LIN_MSG_3A_LEN  3
#define LIN_MSG_3B_LEN  4
#define LIN_MSG_3C_LEN  5
#define LIN_MSG_3D_LEN  6

******************************************************************************/

#endif /* defined(LINMSGID_H)*/

