// ========================================================
//  Copyright (c)2005 Freescale Semiconductor Inc
//  All Rights Reserved
//
//  The code is the property of Freescale GmbH Munich
//  TSPG-APD-IDC Intelligent Distributed Control Operation
//
//  The copyright notice above does not evidence any
//  actual or intended publication of such source code.
//
//  This software is provided by Freescale "AS IS" and any
//  expressed or implied warrenties, including, but not 
//  limited to, the implied warrenties of merchantability
//  and fitness for a particular purpose are disclaimed.
//  In no event shall Freescale or its contributors be 
//  liable for any direct, indirect, incidental, special,
//  examplary, or consequential damages (including, but not 
//  limited to, procurement of substitue goods or services;
//  loss of use, data, or profits; or business interruption)
//  However caused and on any theory of liability, whether 
//  in contract, strict liability, or tort (including 
//  negligence or otherwise) arising in any way out of the 
//  use of this software, even if advised of the possibility
//  of such damage.
// 
//
//
//  Filename:     $Source$
//  Author:       $Author$
//  Locker:       $Locker$
//  State:        $State$
//  Revision:     $Revision$
//
//  Functions:    
//
//  History:      Use the CVS command log to display 
//                revision history information.
//
//  Description:  typically tool generated LIN header
//								
//
//
//  Notes:        for user to modify
//
//
//
// ========================================================
#define L_GEN_C

#include "l_api.h"



// -----  Message Buffers  --------------------------------
l_u8 LINBuffer3C[8];                     // frmSysCommandRx 
l_u8 LINBuffer3D[8];	                   // frmSysCommandTx



// -----  Message Data Table  -----------------------------
const l_u8 LinMsgId[] =  {
  0x3C,    // frmSysCommandRx   Rx3C     
  0x7D,    // frmSysCommandTx   Tx3D
};

// -----  Message Length Table  ---------------------------
const l_u8 LinMsgLen[] =  {
  8,  // frmSysCommandRx
  8,  // frmSysCommandTx
};

// -----  Message Buffers Table  --------------------------
l_u8 * const LinMsgBuf[] =  {
  LINBuffer3C,    // frmSysCommandRx
  LINBuffer3D,		// frmSysCommandTx
};

// -----  LinLookupTable  ---------------------------------
const l_u8 LinLookupTable [64] = {
  LIN_IGNORE,                        // 00
  LIN_IGNORE,                        // 01
  LIN_IGNORE,                        // 02
  LIN_IGNORE,                        // 03
  LIN_IGNORE,                        // 04
  LIN_IGNORE,                        // 05
  LIN_IGNORE,                        // 06
  LIN_IGNORE,                        // 07
  LIN_IGNORE,                        // 08
  LIN_IGNORE,                        // 09
  LIN_IGNORE,                        // 0A
  LIN_IGNORE,                        // 0B
  LIN_IGNORE,                        // 0C
  LIN_IGNORE,                        // 0D
  LIN_IGNORE,                        // 0E
  LIN_IGNORE,                        // 0F
  LIN_IGNORE,                        // 10
  LIN_IGNORE,                        // 11
  LIN_IGNORE,                        // 12
  LIN_IGNORE,                        // 13
  LIN_IGNORE,                        // 14
  LIN_IGNORE,                        // 15
  LIN_IGNORE,                        // 16
  LIN_IGNORE,                        // 17
  LIN_IGNORE,                        // 18
  LIN_IGNORE,                        // 19
  LIN_IGNORE,                        // 1A
  LIN_IGNORE,                        // 1B
  LIN_IGNORE,                        // 1C
  LIN_IGNORE,                        // 1D
  LIN_IGNORE,                        // 1E
  LIN_IGNORE,                        // 1F
  LIN_IGNORE,                        // 20
  LIN_IGNORE,                        // 21
  LIN_IGNORE,                        // 22
  LIN_IGNORE,                        // 23
  LIN_IGNORE,                        // 24
  LIN_IGNORE,                        // 25
  LIN_IGNORE,                        // 26
  LIN_IGNORE,                        // 27
  LIN_IGNORE,                        // 28
  LIN_IGNORE,                        // 29
  LIN_IGNORE,                        // 2A
  LIN_IGNORE,                        // 2B
  LIN_IGNORE,                        // 2C
  LIN_IGNORE,                        // 2D
  LIN_IGNORE,                        // 2E
  LIN_IGNORE,                        // 2F
  LIN_IGNORE,                        // 30
  LIN_IGNORE,                        // 31
  LIN_IGNORE,                        // 32
  LIN_IGNORE,                        // 33
  LIN_IGNORE,                        // 34
  LIN_IGNORE,                        // 35
  LIN_IGNORE,                        // 36
  LIN_IGNORE,                        // 37
  LIN_IGNORE,                        // 38
  LIN_IGNORE,                        // 39
  LIN_IGNORE,                        // 3A
  LIN_IGNORE,                        // 3B
  LIN_RECEIVE      | 0,              // 3C
  LIN_SEND_UPDATED | 1,              // 3D
  LIN_IGNORE,                        // 3E
  LIN_IGNORE                         // 3F
};                            

// -----  Size of configuration arrays  -------------------
#define LIN_LIST_SIZE   ( sizeof( LinMsgLen ) / sizeof( LinMsgLen[0] ) )
const l_u8  LinListSize = LIN_LIST_SIZE;

// -----  Message Status list  ----------------------------
l_u8 LinMsgStatus[LIN_LIST_SIZE];
                              
// -----  Signal Flags Array  -----------------------------
l_u8 LinSigFlags[1];

// -----  Flags Hash Table  -------------------------------
const l_u8 LinFlagLookup[2] = { 
  0,    // flags for message #0 (0x3C)
  1     // end byte 
};

// -----  LinSigFlags Size dimension  ---------------------
const l_u8 LinSigMaxIdx = ( sizeof( LinSigFlags ) / sizeof( LinSigFlags[0] ) - 1 );

